Jeromy Johnson
f2dcad8531
Merge pull request #2999 from ipfs/feature/makefile-cleanup
...
Cleanup makefiles
2016-08-16 10:15:08 -07:00
Christian Couder
2489dfe8a9
ipfs-test-lib: fix test_fsh arg quoting
...
test_fsh() should quote its arguments before passing them
to `eval` otherwise there are problems when the arguments
contain spaces.
For example when running the following program:
```
#!/bin/sh
. ./ipfs-test-lib.sh
die () {
printf >&2 "%s\n" "$@"
exit 1
}
DIR1="test dir 1"
DIR2="test dir 2"
mkdir "$DIR1" "$DIR2" || die "Could not mkdir '$DIR1' '$DIR2'"
echo "in dir 1" >"$DIR1/file1" || die "Could not write into '$DIR1/file1'"
echo "in dir 2" >"$DIR2/file2" || die "Could not write into '$DIR2/file2'"
if test_cmp "$DIR1/file1" "$DIR2/file2"
then
echo "test_cmp succeeded!"
else
echo "test_cmp failed!"
fi
rm -rf "$DIR1" "$DIR2" || die "Could not rm -rf '$DIR1' '$DIR2'"
```
we get:
```
> diff -u test dir 1/file1 test dir 2/file2
diff: extra operand '1/file1'
diff: Try 'diff --help' for more information.
test_cmp failed!
```
License: MIT
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
2016-08-15 12:10:15 +02:00
Jeromy
8a75a8cf08
commands: fix panic when stdin is empty for string args
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-07 09:24:17 -07:00
Jakub Sztandera
cc60f6909b
make: cleanup -rm calls
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jakub Sztandera
c1014aea88
make: 'make clean' clears sharness too
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jakub Sztandera
f3dc11c566
use $(MAKE) instead of 'make' in Makefiles
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jakub Sztandera
63072758a9
make: use 'make -C' instead of 'cd && make'
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 16:38:00 +02:00
Jeromy Johnson
1eb94e64e3
Merge pull request #2990 from csasarak/janky_version
...
Alias 'ipfs --version' to 'ipfs version'
2016-08-04 06:58:15 -07:00
Jeromy Johnson
5a831ff16d
Merge pull request #3033 from ipfs/fix/stdin-read-msg
...
commands/cli: fix reading from stdin message
2016-08-03 11:19:34 -07:00
Jeromy
068c6d2211
commands/cli: fix reading from stdin message
...
Only print "Reading from /dev/stdin" message when we actually read from
stdin (and not in other cases such as ipfs add --help).
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-03 09:04:41 -07:00
Jakub Sztandera
a42302443b
cli: reword message about mount and offline
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 08:04:07 -07:00
Jakub Sztandera
8273b0f493
sharness: fix improper use of test_expect_failure
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 05:24:20 -07:00
Jakub Sztandera
2cae0bc616
daemon: ipfs daemon --offline --mount should fail with nice message
...
ipfs daemon --offline;
ipfs mount;
fails. This uniforms this behaviour.
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 05:24:20 -07:00
Jeromy
1b50fcefed
default add progress to false, unless using CLI
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-01 10:03:43 -07:00
Jakub Sztandera
66686e66be
commands: fix refs 'edges' option work
...
also change it to use format instead of separate variable
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-28 20:25:32 +01:00
Jeromy Johnson
0bd8ced0d6
Merge pull request #2993 from ipfs/fix/provstore-batching
...
use batching datastore for providers storage
2016-07-28 03:27:21 -07:00
Chris Sasarak
5e9cbd740d
Added tests for ipfs --version.
...
1. Test that ipfs --version has a 0 exit status
2. Check the ipfs --version output matches ipfs version
License: MIT
Signed-off-by: Chris Sasarak <chris.sasarak@gmail.com>
2016-07-26 19:41:20 -04:00
Jeromy
e8addf5ee3
use batching datastore for providers storage
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-26 10:48:25 -07:00
Jeromy
ed551131f2
commands: fix panic when expected files field is nil
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-25 09:12:58 -07:00
Jeromy Johnson
83d9c1c106
Merge pull request #2939 from ipfs/feat/auto-migrate
...
Automatically download and run migrations if needed
2016-07-22 05:47:21 -07:00
Jeromy
fcc4f0001d
move prompt code into daemon.go
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-20 13:29:33 -07:00
Jeromy
660a4a9d98
mfs: fix copying into directory with no given filename
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-19 07:41:00 -07:00
Jeromy
37673c85c7
add a test for auto migrations cli interface
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-19 06:50:00 -07:00
Jeromy Johnson
676b5ee7c8
Merge pull request #2952 from ipfs/fix/stdin-handling
...
rework stdin handling
2016-07-16 04:17:38 -07:00
Jeromy
72705564e7
another type check fix and add back a missing test
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-15 10:49:57 -07:00
Jakub Sztandera
6b97588266
cmd: include case where PrivKey is stored in lower case
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:46:33 +01:00
Jakub Sztandera
f7e659006b
test/sharness: make sure the string isn't empty
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
2fded41ff5
core/commands: do not show PrivKey in config if it is null
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
2b682f95d0
core/commands/config: error out if config replace contains privkey
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
ea9327dd3c
test/sharness: add more tests against exposing PrivKey on network
...
and replacing config.
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jakub Sztandera
011a546b9c
core/cmds/config: do not show privkey on the network
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-13 18:45:51 +01:00
Jeromy
b034a0d8e8
and special case that one thing because why not
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-09 11:33:02 -07:00
Jeromy
5d301cb8ec
re-enable the stdin
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-08 16:39:15 -07:00
Lars Gierth
421add3d18
daemon: reintroduce --unrestricted-api
...
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-07-09 00:07:36 +02:00
Jeromy
1aeda7eb6e
ignore those last bits, this time its for real
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-08 14:35:18 -07:00
Lars Gierth
816ab825b1
test: actually use downloaded gx binary, clean up obsolete variable
...
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-07-08 21:36:38 +02:00
Jeromy
96433cc6e1
starting to rework stdin handling
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-07 16:58:43 -07:00
Jeromy
a98dff6275
make repo verify work with running daemon
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-06 22:12:31 -07:00
Lars Gierth
39bef0d5b0
gateway: on api, restrict to webui
...
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-07-07 01:44:52 +02:00
Jeromy Johnson
2df8dc5a88
Merge pull request #2924 from ipfs/feat/repo-verify
...
add repo verify command
2016-07-06 11:39:13 -07:00
Jeromy
d13befe9ef
add a test for repo verify, and make it return non-zero code on failure
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-05 14:58:48 -07:00
Jeromy
8c2496c9d9
add a test for swarm connect not triggering a backoff
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-05 14:44:19 -07:00
Jeromy
979edf3a96
update go-libp2p
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-04 12:27:26 -07:00
Lars Gierth
afda38f201
test: really no need for relative path to gx deps
...
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-07-03 01:45:06 +02:00
Lars Gierth
5bda53e55b
docker: take version suffixes like -dev into account
...
The double and single quotes got too damn complicated, so heredoc we go!
License: MIT
Signed-off-by: Lars Gierth <larsg@systemli.org>
2016-07-03 01:45:02 +02:00
Jeromy
0aafa6db8c
update go-datastore changes 0.1.2
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-01 22:40:57 -07:00
Jakub Sztandera
e446b3d394
test: Run t0080-repo test offline
...
Resolves #2906
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-01 20:29:48 -07:00
Jeromy
0782c4dc03
encode keys to datastore with base32 standard encoding
...
Fixes #2601
Also bump version to 0.4.3-dev
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-07-01 14:15:06 -07:00
Jakub Sztandera
fe7b01f14e
Resolve symlink if it is directly referenced in cli ( #2897 )
...
* Resolve symlink if it is directly referenced in cli
test: Directly referenced symlink should be resolved
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
* sharness: add test for symlink in the middle
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-06-28 12:06:50 -07:00
Jakub Sztandera
206529730a
Add Synopsis autogenerator
...
Generates synopsis automagically
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-06-28 19:51:56 +02:00